#!/usr/bin/env python


"""

http://python.net/crew/theller/ctypes/tutorial.html#loading-dynamic-link-libraries

"""


from ctypes import *

cc = cdll.LoadLibrary("rjh2_20071030")


s = c_char_p("______________________________")

cc.nextn(s, 30, 1)

print s

cc.next.restype = c_char_p
print "%s\n" % cc.next(1)

